fop 1.1

## org.apache.fop.fonts
Class FontDetector

    java.lang.Object
      org.apache.fop.fonts.FontDetector

    public class FontDetector

extends java.lang.Object

Detector of operating system and classpath fonts

Constructor Summary
`FontDetector(FontManager manager, FontAdder adder, boolean strict, FontEventListener listener)` Main constructor

Method Summary
`void` `detect(java.util.List<EmbedFontInfo> fontInfoList)` Detect installed fonts on the system

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontDetector

    public FontDetector(FontManager manager,
                        FontAdder adder,
                        boolean strict,
                        FontEventListener listener)

  Main constructor

  Parameters:
    `manager` - the font manager
    `adder` - the font adder
    `strict` - true if an Exception should be thrown if an error is found.
    `listener` - for throwing font related events

Method Detail

### detect

    public void detect(java.util.List<EmbedFontInfo> fontInfoList)
                throws FOPException

  Detect installed fonts on the system

  Parameters:
    `fontInfoList` - a list of fontinfo to populate
  Throws:
    `FOPException` - thrown if a problem occurred during detection

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.